Skip to main content
Infrastructure/Infrastructure Misc

CursorNext

Advance to the next page in an active cursor-based query session.

GET/api/v1/resources/cursor-next

Operation ID

CursorNext

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • cursor
    String

    Opaque cursor token from a previous CursorQuery or CursorNext response Opaque cursor token from a previous CursorQuery or CursorNext response

  • pageSize
    Integer

    Number of records to return for this page Number of records to return for this page

    Example: 0

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • items
    List

    Collection of result items

    Example: (nested array)

  • total
    Integer

    Total number of records matching the query

    Example: 200

  • nextCursor
    String

    Opaque cursor token to use for the next page request

    Example: eyJsYXN0SWQiOiJ2bS0wNTAifQ==

  • hasMore
    Boolean

    Whether additional records exist beyond this page

    Example: true